Exaion
API ReferenceProofs

Get proof

GET/api/v1/proofs/{id}

Returns proof metadata in the caller tenant scope.

Path Parameters

id*string

Proof UUID

Header Parameters

Idempotency-Key*string

UUID v4 idempotency key

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/proofs/string" \  -H "X-Api-Key: $WIPE_API_KEY" \  -H "Idempotency-Key: string"
{
  "duplicate": false,
  "proof": {
    "agent_first_polled_at": "2026-05-31T11:00:05Z",
    "agent_last_polled_at": "2026-05-31T11:03:40Z",
    "attempt_count": 1,
    "certificate_id": "77777777-7777-4777-8777-777777777777",
    "der_sha256": "b94d27b9934d3e08a52e52d7da7dabfade5d6a4f4f7d9d6f4d0e7c4a9f8b2a1d",
    "error_step": "SIGNING",
    "id": "6a2f9714-8df4-40a2-9481-a0b92c52d8c4",
    "logs_available": true,
    "logs_purged_at": "2026-08-29T11:05:00Z",
    "logs_received_at": "2026-05-31T11:05:00Z",
    "logs_size_bytes": 48213,
    "logs_status": "VERIFIED",
    "machine_type_override": "laptop",
    "next_retry_at": "2026-05-31T12:00:00Z",
    "organization_id": "22222222-2222-4222-8222-222222222222",
    "received_at": "2026-05-31T11:00:00Z",
    "rejection_code": "no_successful_disk",
    "rejection_reason": "insufficient_licenses",
    "reviewed_at": "2026-05-31T11:30:00Z",
    "reviewed_by": "33333333-3333-4333-8333-333333333333",
    "source": "MANUAL",
    "status": "RECEIVED",
    "storage_key": "tenant/11111111-1111-4111-8111-111111111111/proofs/hash.der",
    "submitted_by": "33333333-3333-4333-8333-333333333333",
    "tenant_id": "11111111-1111-4111-8111-111111111111"
  }
}
{
  "error": {
    "code": "BAD_REQUEST",
    "message": "string",
    "request_id": "string",
    "trace_id": "string"
  }
}
{
  "error": {
    "code": "BAD_REQUEST",
    "message": "string",
    "request_id": "string",
    "trace_id": "string"
  }
}
{
  "error": {
    "code": "BAD_REQUEST",
    "message": "string",
    "request_id": "string",
    "trace_id": "string"
  }
}
{
  "error": {
    "code": "BAD_REQUEST",
    "message": "string",
    "request_id": "string",
    "trace_id": "string"
  }
}